---
title: Get identifier metadata
slug: data-platform/api/get-identifier-metadata
docTags: 
createdAt: 2026-09-02T14:41:00.110Z
---

{
  "id": "u0GKksgZ9BNZVYqtMMVOJ",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.us1.odp.optimizely.com/v3/identifiers/{field_name}",
    "servers": [
      {
        "url": "https://api.us1.odp.optimizely.com/v3/identifiers/{field_name}",
        "description": "United States"
      },
      {
        "url": "https://api.eu1.odp.optimizely.com/v3/identifiers/{field_name}",
        "description": "Europe"
      },
      {
        "url": "https://api.au1.odp.optimizely.com/v3/identifiers/{field_name}",
        "description": "Asia-Pacific"
      }
    ],
    "name": "Get identifier metadata",
    "description": "<p>Retrieve metadata for an identifier in Optimizely Data Platform (ODP).</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "field_name",
          "type": "string",
          "description": "<p>The field name for the identifier being requested (for example, email).</p>"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "id",
          "type": "string",
          "description": "<p>The identifier value being requested (for example, <a href=\"mailto:test@optimizely.com\" target=\"_blank\">test@optimizely.com</a>).</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "x-api-key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"identifier_value\":\"john@example.com\",\"identifier_field_name\":\"email\",\"zaius_id\":\"abcd\",\"metadata\":{\"mailbox_provider\":\"google\",\"primary_mailbox\":true},\"metadata_update_ts\":1556582935}",
            "description": "",
            "customType": "IdenfitierMetadata",
            "schema": [
              {
                "name": "identifier_value",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "john@example.com"
              },
              {
                "name": "identifier_field_name",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "email"
              },
              {
                "name": "zaius_id",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "abcd"
              },
              {
                "name": "metadata",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "mailbox_provider",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "google"
                  },
                  {
                    "name": "primary_mailbox",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "",
                    "example": true,
                    "default": true
                  }
                ]
              },
              {
                "name": "metadata_update_ts",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 1556582935,
                "default": 0
              }
            ],
            "modelRef": "#/components/schemas/IdenfitierMetadata",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Y9oxKWID3OVYvc9GzhJYw",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.us1.odp.optimizely.com/v3/identifiers/{field_name} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "f1XyGllf4f6b2f5EOz-Eo",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.us1.odp.optimizely.com/v3/identifiers/{field_name}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "hK7-botbpLuZBcVUnyHYk",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.us1.odp.optimizely.com/v3/identifiers/{field_name}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "q-HQZSWku1MBU1xbLcPPq",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.us1.odp.optimizely.com/v3/identifiers/{field_name}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Y9oxKWID3OVYvc9GzhJYw"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"identifier_value\": \"john@example.com\",\n  \"identifier_field_name\": \"email\",\n  \"zaius_id\": \"abcd\",\n  \"metadata\": {\n    \"mailbox_provider\": \"google\",\n    \"primary_mailbox\": true\n  },\n  \"metadata_update_ts\": 1556582935\n}"
        },
        {
          "id": "response-1-403",
          "language": "403",
          "code": "// Forbidden\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}